<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Sat Oct 05 11:12:57 CEST 2019 -->
<title>ExportOriginalIdVectorizationPosthook (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-05">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ExportOriginalIdVectorizationPosthook (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC</a></div>
<h2 title="Class ExportOriginalIdVectorizationPosthook" class="title">Class ExportOriginalIdVectorizationPosthook</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC.ExportOriginalIdVectorizationPosthook</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../../featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization">BalancedVectorizationFoldPostHook</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">ExportOriginalIdVectorizationPosthook</span>
extends java.lang.Object
implements <a href="../../featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization">BalancedVectorizationFoldPostHook</a></pre>
<div class="block">Remains for documentation purposes; used to export original arxiv ids.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(bous.philipp.dblp.datatools.featureconstruction.vectorization.SingleColumnCVSetProperties)">ExportOriginalIdVectorizationPosthook</a></span>&#8203;(<a href="../../featureconstruction/vectorization/SingleColumnCVSetProperties.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization">SingleColumnCVSetProperties</a>&nbsp;props)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#afterNegativesProcessed(int,java.util.List,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">afterNegativesProcessed</a></span>&#8203;(int&nbsp;foldNumber,
                       java.util.List&lt;<a href="../../datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel">RecordDocument</a>&gt;&nbsp;negativeRecords,
                       <a href="../../featureconstruction/vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</code></th>
<td class="colLast">
<div class="block">Executed after negative entries have been processed.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#afterPositivesProcessed(int,java.util.List,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">afterPositivesProcessed</a></span>&#8203;(int&nbsp;foldNumber,
                       java.util.List&lt;<a href="../../datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel">RecordDocument</a>&gt;&nbsp;positiveRecords,
                       <a href="../../featureconstruction/vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</code></th>
<td class="colLast">
<div class="block">Executed after positive entries have been processed.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#finalize(int,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">finalize</a></span>&#8203;(int&nbsp;foldNumber,
        <a href="../../featureconstruction/vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</code></th>
<td class="colLast">
<div class="block">Will be called before finishing the record-processing inside a fold.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(bous.philipp.dblp.datatools.featureconstruction.vectorization.SingleColumnCVSetProperties)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ExportOriginalIdVectorizationPosthook</h4>
<pre>public&nbsp;ExportOriginalIdVectorizationPosthook&#8203;(<a href="../../featureconstruction/vectorization/SingleColumnCVSetProperties.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization">SingleColumnCVSetProperties</a>&nbsp;props)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="afterPositivesProcessed(int,java.util.List,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afterPositivesProcessed</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;afterPositivesProcessed&#8203;(int&nbsp;foldNumber,
                                    java.util.List&lt;<a href="../../datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel">RecordDocument</a>&gt;&nbsp;positiveRecords,
                                    <a href="../../featureconstruction/vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html#afterPositivesProcessed(int,java.util.List,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">BalancedVectorizationFoldPostHook</a></code></span></div>
<div class="block">Executed after positive entries have been processed.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html#afterPositivesProcessed(int,java.util.List,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">afterPositivesProcessed</a></code>&nbsp;in interface&nbsp;<code><a href="../../featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization">BalancedVectorizationFoldPostHook</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>foldNumber</code> - the number of the fold currently being processed</dd>
<dd><code>positiveRecords</code> - a list of the positive records that have just been processed</dd>
<dd><code>vocabulary</code> - the vocabulary that was used during the vectorization process</dd>
</dl>
</li>
</ul>
<a id="afterNegativesProcessed(int,java.util.List,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afterNegativesProcessed</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;afterNegativesProcessed&#8203;(int&nbsp;foldNumber,
                                    java.util.List&lt;<a href="../../datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel">RecordDocument</a>&gt;&nbsp;negativeRecords,
                                    <a href="../../featureconstruction/vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html#afterNegativesProcessed(int,java.util.List,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">BalancedVectorizationFoldPostHook</a></code></span></div>
<div class="block">Executed after negative entries have been processed.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html#afterNegativesProcessed(int,java.util.List,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">afterNegativesProcessed</a></code>&nbsp;in interface&nbsp;<code><a href="../../featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization">BalancedVectorizationFoldPostHook</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>foldNumber</code> - the number of the fold currently being processed</dd>
<dd><code>negativeRecords</code> - a list of the positive records that have just been processed</dd>
<dd><code>vocabulary</code> - the vocabulary that was used during the vectorization process</dd>
</dl>
</li>
</ul>
<a id="finalize(int,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>finalize</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;finalize&#8203;(int&nbsp;foldNumber,
                     <a href="../../featureconstruction/vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html#finalize(int,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">BalancedVectorizationFoldPostHook</a></code></span></div>
<div class="block">Will be called before finishing the record-processing inside a fold.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html#finalize(int,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">finalize</a></code>&nbsp;in interface&nbsp;<code><a href="../../featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization">BalancedVectorizationFoldPostHook</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>foldNumber</code> - the number of the fold currently being processed</dd>
<dd><code>vocabulary</code> - the vocabulary used during the vectorization process</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
